package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sysmgr.dto.sysmgr.YcqAppVersionDto;
import com.crunii.micro.service.sysmgr.dto.sysmgr.YcqAppVersionVo;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-07-11
 */
public interface YcqAppVersionService {


    Result<YcqAppVersionVo> getMaxVersion();

    Result<Object> create(YcqAppVersionDto dto);

    Result<PageRsp<YcqAppVersionVo>> getPageAppVersion(PageReq<YcqAppVersionDto> req);


    Result<List<YcqAppVersionVo>> getListAppVersion(YcqAppVersionDto dto);

    Result<Object> update(YcqAppVersionDto dto);

    Result<Object> delete(Long id);

}
